INNWATCH(8)

NAME
innwatch - monitor innd.

SYNOPSIS
innwatch [ -l logfile ] [ -t seconds ]

DESCRIPTION
Innwatch is normally started by rc.news. It periodically — every <innwatchsleeptime in inn.conf> seconds — examines the load average, and the number of free blocks and inodes on the spool partition, as described by its control file, innwatch.ctl.

If the load gets too high, or the disk gets too full, it throttles the server. When the condition restores, it unblocks the server. In addition, on each pass through the loop it will check the logfile <pathlog in inn.conf>/news.crit to see if it has been modified, and send mail to the news administrator if so.

Upon receipt of an interrupt signal (SIGINT), innwatch will report its status in the file <pathrun in inn.conf>/innwatch.status.

OPTIONS

-l logfile
    To specify a log file to watch, other than the default of news.crit, use the ``-l'' flag.

-t seconds
    To change the period between checks from the default from inn.conf , use the ``-t'' flag.

HISTORY
Written by Mike Cooper <mcooper@usc.edu>, with modifications by <kre@munnari.oz.au>, Steve Groom <stevo@elroy.Jpl.Nasa.Gov> and Christophe Wolfhugel <wolf@pasteur.fr>.

SEE ALSO
ctlinnd(8), inn.conf(5), innwatch.ctl(5), shlock(1).